%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate simba

Name:           rust-simba
Version:        0.8.1
Release:    1%{?dist}
Summary:        SIMD algebra for Rust

License:        Apache-2.0
URL:            https://crates.io/crates/simba
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
SIMD algebra for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cordic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cordic-devel %{_description}

This package contains library source intended for building other packages which
use the "cordic" feature of the "%{crate}" crate.

%files       -n %{name}+cordic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+decimal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+decimal-devel %{_description}

This package contains library source intended for building other packages which
use the "decimal" feature of the "%{crate}" crate.

%files       -n %{name}+decimal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fixed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fixed-devel %{_description}

This package contains library source intended for building other packages which
use the "fixed" feature of the "%{crate}" crate.

%files       -n %{name}+fixed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages which
use the "libm" feature of the "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm_force-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm_force-devel %{_description}

This package contains library source intended for building other packages which
use the "libm_force" feature of the "%{crate}" crate.

%files       -n %{name}+libm_force-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+partial_fixed_point_support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+partial_fixed_point_support-devel %{_description}

This package contains library source intended for building other packages which
use the "partial_fixed_point_support" feature of the "%{crate}" crate.

%files       -n %{name}+partial_fixed_point_support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv-serialize" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serde_serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wide-devel %{_description}

This package contains library source intended for building other packages which
use the "wide" feature of the "%{crate}" crate.

%files       -n %{name}+wide-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jul 25 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-1
- initial build
